# CornStarch
# by Eresse <eresse@eresse.net>

# Modal JS

# Currently Displayed Modal
modal_displayed = ''

# Show Modal
window.modal_show = (modal) ->
	e = $("#modal-#{modal}")
	onshow = e.attr 'modal-onshow'
	window[onshow]() if onshow? && onshow != ''
	modal_displayed = modal
	e.show 'fast'

# Hide Modal
window.modal_hide = (modal) ->
	modal_displayed = ''
	$("#modal-#{modal}").hide 'fast'

# Is Modal Visible
window.modal_visible = (modal) ->
	$("#modal-#{modal}").is ':visible'

# Init Modal
window.modal_init_modal = (modal) ->

	# Wire up Quick Hide (Click Outside Modal)
	if $("#modal-#{modal}").length
		$("#modal-#{modal}").click (e) ->
			modal_hide modal if e.target.id == "modal-#{modal}"

	# Wire up Show Button
	if $("#modal-#{modal}-btn-show").length
		$("#modal-#{modal}-btn-show").click ->
			modal_show modal
			return false

	# Wire up Hide Button
	if $("#modal-#{modal}-btn-hide").length
		$("#modal-#{modal}-btn-hide").click ->
			modal_hide modal

# Handle Key Presses
window.modal_handle_keyup = (e) ->

	# Check Modal Visible
	return if modal_displayed == ''

	# Hide Modal
	modal_hide modal_displayed if e.which == 27

# Init Modal System
window.modal_init = ->

	# Handle Key Presses
	$(document).keyup modal_handle_keyup

# Initialize Modal System for the Page
$(document).on 'turbolinks:load', modal_init
