# CornStarch
# by Eresse <eresse@eresse.net>

# CornStarch Module
module CornStarch

	# Gravatar Helper
	module GravatarHelper

		# Gravatar Image
		def gravatar_img email, size = 64, options = {}
			image_tag gravatar_url(email, size), options
		end

		# Gravatar URL
		def gravatar_url email, size = 64
			gravatar_id = Digest::MD5.hexdigest(email.downcase)
			"https://gravatar.com/avatar/#{gravatar_id}.png?s=#{size}"
		end
	end
end
