# CornStarch
# by Eresse <eresse@eresse.net>

# CornStarch Module
module CornStarch

	# Unisearchable Module
	module Unisearchable

		# Included Handler
		def self.included base

			# Inject Class Methods
			base.extend ClassMethods
		end

		# Class Methods
		module ClassMethods

			# Get/Set Searchable Attributes
			def searchable_attributes attrs = nil
				@searchable_attributes = (attrs || @searchable_attributes) || {}
			end

			# Get/Set Searchable Associations
			def searchable_associations assocs = nil
				@searchable_associations = (assocs || @searchable_associations) || {}
			end
		end
	end
end
