# CornStarch
# by Eresse <eresse@eresse.net>

# CornStarch Module
module CornStarch

	# Modal Helper
	module ModalHelper

		# Modal Tag
		def modal_tag params
			render layout: 'corn_starch/layouts/modal', locals: { modal: params } do
				yield params if block_given?
			end
		end

		# Modal Name
		def modal_name name
			"modal-#{name}"
		end

		# Show Button ID
		def modal_show_btn_id name
			"#{modal_name name}-btn-show"
		end

		# Hide Button Tag
		def modal_hide_btn_tag modal
			div_tag '✖', class: 'modal-close-btn', id: "#{modal_name modal[:name]}-btn-hide"
		end

		# Modal Block Tag
		def modal_block_tag
			div_tag class: 'modal-block' do
				yield if block_given?
			end
		end
	end
end
