# CornStarch
# by Eresse <eresse@eresse.net>

# CornStarch Routes
CornStarch::CornStarch.routes.draw do

	#################
	# Web Shortcuts #
	#################

	# Locale Scoping
	scope '/:locale', locale: /#{I18n.available_locales.join('|')}/ do

		get 'login', to: 'sessions#new'
		get 'logout', to: 'sessions#drop'

		#######################
		# Resourceful Routing #
		#######################

		# Sessions
		resources :sessions do
			get 'drop', on: :collection
		end
	end
end
